﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Utility;
using bbiwarg.Recognition.FingerRecognition;
using bbiwarg.Recognition.PalmRecognition;
using Emgu.CV;
using Emgu.CV.Structure;

namespace bbiwarg.Recognition.TouchRecognition
{
    class PalmTouchEvent : TouchEvent
    {
        public Vector2D RelativePalmPosition { get; private set; }

        public PalmTouchEvent(Vector2D absolutePosition, Image<Gray, byte> touchMask, Finger finger, Quadrangle palmQuad)
            : base(absolutePosition, touchMask, finger)
        {
            RelativePalmPosition = palmQuad.getRelativePosition(absolutePosition);
        }
    }
}
